Bug 4592 - Mails deleted in evolution aren't deleted in modest (imap)
: Mails deleted in evolution aren't deleted in modest (imap)
Status: RESOLVED WORKSFORME
Product: Email
General
: 4.1.3 (5.2008.43-7)
: All Maemo
: Low major (vote)
: 5.0 (1.2009.41-10)
Assigned To: unassigned
: modest-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2009-05-28 22:06 UTC by Uwe Kaminski
Modified: 2009-05-30 18:33 UTC (History)
4 users (show)

See Also:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description Uwe Kaminski (reporter) 2009-05-28 22:06:45 UTC
There should be a new mail in your mailbox to reproduce this bug. For borth
clients I used IMAP on my own dovecot mail server. 

STEPS TO REPRODUCE THE PROBLEM:
1. Open evolution on your desktop system (I used Ubuntu 8.10).
2. Mark the new mail in the message list.
3. Delete the mail --> the mail will be removed from the list
4. Close evolution
5. Open the email client (modest) on your tablet
6. switch to the inbox of the same account used in step 1. to 3.

EXPECTED OUTCOME:
the mail that was deleted in step 3. should not be listed by modest.

ACTUAL OUTCOME:
The mail is shown in the mail list and it's shown as unread...

REPRODUCIBILITY:
always

OTHER COMMENTS:
This bug is very annoying if I'm using evolution and modest alternately.
Comment 1 Lucas Maneos 2009-05-29 04:18:16 UTC
I can reproduce this (dovecot 1.1.10 with maildir storage or cyrus 2.3.9 on the
server side, Ubuntu 9.04 evolution or mutt on the client).  Additional info:

Checking the folder after step 4, the message is marked as deleted but not
expunged.  Modest still displays the deleted message after a "Send and receive"
operation or after switching to a different account and back.  The unread
message count in the folder list does not include the deleted message.

It does notice that the message is deleted if I switch to a different folder on
the same account and back.

Switching accounts or closing modest before it notices the deletion sometimes
undeletes the message (this may be related to bug 2536).

The Fremantle version seems mostly ok, although it sometimes displays the
deleted message in strikethrough and sometimes it just hides it.
Comment 2 Andre Klapper maemo.org 2009-05-30 15:22:24 UTC
(In reply to comment #1)
> I can reproduce this

...also with the Modest Git checkout? :-)
Comment 3 Lucas Maneos 2009-05-30 16:10:50 UTC
No, to clarify: by "Fremantle version" I meant the git/svn checkouts of modest
(389812a25c06b921408b7a0d965bb8dec6e80245) & tinymail (3924) from a few days
ago.
Comment 4 Andre Klapper maemo.org 2009-05-30 16:58:04 UTC
Well, for Diablo it's WONTFIX anyway as it's not a critical issue (Diablo is in
maintenance mode), and if it basically works for you in Fremantle it seems to
be fixed/not an issue anymore (RESOLVED WORKSFORME && Target Milestone ==
Fremantle).
Comment 5 Uwe Kaminski (reporter) 2009-05-30 17:46:41 UTC
(In reply to comment #4)
> Well, for Diablo it's WONTFIX anyway as it's not a critical issue

And there will be never a in-official version of modest for diablo? :-/ I don't
have any experience to build it for my own from actual sources so an
in-official version which is easy to install would be great.

For this issue it is a workaround for me to expunge mails in evolution every
time I close the application.
Comment 6 Andre Klapper maemo.org 2009-05-30 18:33:06 UTC
(In reply to comment #5)
> And there will be never a in-official version of modest for diablo? :-/

The likelyhood of another update is low - I only expect it to happen if there's
a critical issue. The solution is Mer which is work in progress and will
provide some Fremantle stuff "backported" for N8x0 devices:
http://wiki.maemo.org/Mer .

> The Fremantle version seems mostly ok, although it sometimes displays 
> the deleted message in strikethrough and sometimes it just hides it.

Closing as WONTFIX for Diablo and WORKSFORME for Fremantle (not really
"FIXED").

Lucas, if you find a reliable way to reproduce your issue, please file a bug
report. It's highly welcome! :-)